<?php
require_once 'application/class/class_ManageSession.php';

/**
 * Affichage de la liste des secteurs d'imputation
 */

$flg_popup = false;
$obj_xml = new GenXslt(true);
$array = array();

// Si on est en mode création de BR
if (getValue('itemSelected') == 'br_liste_ctrl_qualite') {
    $_SESSION['br_creation_sql'] = SqlBr::rqGetListBRwithCtrlQualite('')->TexteSqlTraduit();
    $_SESSION['mode_br'] = 'br_liste_ctrl_qualite';
}

if (! isset($_POST['rPageBrwListe']))
    $page = 1;
else
    $page = getValue('rPageBrwListe');

$fichier_xsl = 'application/xsl/BR_ListToControl.xsl';
$sql = $_SESSION['br_creation_sql'];
$brwListe = new NewBrowse('BrwListe', 'NUM_BR');
$brwListe->ElementUnique[0] = 'NUM_BR';
$brwListe->EntColonne('NUM_BR');

$brwListe->appel_prg(NomFile(__FILE__));
$brwListe->flg_titre = false;
$brwListe->flg_rech = false;
$brwListe->flg_nbr = false;
$brwListe->AffEntete = true;
$brwListe->NbLig = $_SESSION['Session_NbLignePagination'];
$brwListe->onClick = false;
$brwListe->form = 'frm_recherche';

// On initialise le tableau qui contiendra toutes les données à afficher pour la page demandée.
$array = BR_qualite::buildXmlBrCtrlQualite($page, $brwListe->NbLig);

$isHttp = (getValue('THROUGH') == 'TRUE');
if ($isHttp) {
    switch (getValue('MODE')) {
        
        // Mode appserveur
        case 'httpreq': // mode reponse sur les updates
            $brwListe->AffBrowse('', $sql, DB_OXASQLDB);
            
            $array['browse'][$brwListe->NomBrowse()] = & $brwListe->xml_gen;
            echo 'getObj("core").innerHTML = "', HttpReplacePointeur($obj_xml->XslHtml($fichier_xsl, $array)), '";';
            break;
        case 'brw_' . $brwListe->NomBrowse():
            $brwListe->AffBrowse('', $sql, DB_OXASQLDB);
            
            $array['browse'][$brwListe->NomBrowse()] = & $brwListe->xml_gen;
            $obj_xml = new GenXslt(true);
            $obj_xml->XslHtml($fichier_xsl, $array);
            $obj_xml->echoHtml('brw_' . $brwListe->NomBrowse());
            break;
    }
} else {
    if ($_SERVER['REQUEST_METHOD'] == 'GET') {
        $brwListe->AffBrowse('', $sql, DB_OXASQLDB);
        $array['browse'][$brwListe->NomBrowse()] = & $brwListe->xml_gen;
    }
    
    $array['fenetre'] = array(
        '!form' => 'frm_popup',
        '!form_parent' => getValue('form_parent'),
        '!prg_appel' => getValue('prg_appel'),
        '!champ' => getValue('champ'),
        '!titre' => '',
        '!num_lig' => getValue('num_lig'),
        '!onclick' => "Traite('" . NomFile(__FILE__) . "',document.frm_recherche.cod_rech);"
    );
    echo $obj_xml->XslHtml($fichier_xsl, $array);
}

$connecteur->disconnect();
exit();